VkGeometryTrianglesNV Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkBuffer | vertexData
VkDeviceSize | vertexOffset
uint32_t | vertexCount
VkDeviceSize | vertexStride
VkFormat | vertexFormat
VkBuffer | indexData
VkDeviceSize | indexOffset
uint32_t | indexCount
VkIndexType | indexType
VkBuffer | transformData
VkDeviceSize | transformOffset

## Detailed Description

Definition at line 8222 of file vulkan_core.h.

## Field Documentation

## indexCount

uint32_t VkGeometryTrianglesNV::indexCount

Definition at line 8232 of file vulkan_core.h.

## indexData

VkBuffer VkGeometryTrianglesNV::indexData

Definition at line 8230 of file vulkan_core.h.

## indexOffset

VkDeviceSize VkGeometryTrianglesNV::indexOffset

Definition at line 8231 of file vulkan_core.h.

## indexType

VkIndexType VkGeometryTrianglesNV::indexType

Definition at line 8233 of file vulkan_core.h.

## pNext

const void* VkGeometryTrianglesNV::pNext

Definition at line 8224 of file vulkan_core.h.

## sType

VkStructureType VkGeometryTrianglesNV::sType

Definition at line 8223 of file vulkan_core.h.

## transformData

VkBuffer VkGeometryTrianglesNV::transformData

Definition at line 8234 of file vulkan_core.h.

## transformOffset

VkDeviceSize VkGeometryTrianglesNV::transformOffset

Definition at line 8235 of file vulkan_core.h.

## vertexCount

uint32_t VkGeometryTrianglesNV::vertexCount

Definition at line 8227 of file vulkan_core.h.

## vertexData

VkBuffer VkGeometryTrianglesNV::vertexData

Definition at line 8225 of file vulkan_core.h.

## vertexFormat

VkFormat VkGeometryTrianglesNV::vertexFormat

Definition at line 8229 of file vulkan_core.h.

## vertexOffset

VkDeviceSize VkGeometryTrianglesNV::vertexOffset

Definition at line 8226 of file vulkan_core.h.

## vertexStride

VkDeviceSize VkGeometryTrianglesNV::vertexStride

Definition at line 8228 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h